## NAME

r.to.pg - exports GRASS raster map to PostgreSQL database into a three column table.
(GRASS Raster Script)

## SYNOPSIS

r.to.pg
r.to.pg help
r.to.pg rastermap [table_name]

### DESCRIPTION

The r.to.pg program exports GRASS raster map to PostgreSQL database into a three column table. A connection to PostgreSQL database is needed. The new table will be created in the currently connected database, if the table name does not exist - please check first.

## Parameters:

rastermap
  Name of an existing raster map to be exported to PostgreSQL.
table_name
  Name of new table to create in currently connected PostgreSQL database (Default is rastermap name)

## EXAMPLE

A PostgreSQl table with three columns will be created:

    ID   |  column_name |    label
    -------------------------------------
    1    |   45.2525    |    text
    2    |   45.5       |  label text
    3    |   44.124	    |    text
    4    |   46         |	 text
    ...

with:

    id:		Cell ID	    			(int8)
    column_name:	Value of rastermap cells	(float)
    label:		Category label			(text)

## KNOWN BUGS

The number check of imported values sometimes does not work properly because of some shell problems with 'asterix'(*).

## SEE ALSO

db.connect

## AUTHOR

Markus Neteler
category and ID support by Otto Dassau

Last changed: $Date: 2002/07/27